Name:           vidalia
Version:        0.3.1
Release:        %mkrel 3
Epoch:          0
Summary:        Cross-platform controller GUI for Tor, built using the Qt framework
License:        GPLv2+
Group:          Networking/Other
URL:            http://www.torproject.org/projects/vidalia
Source0:        http://www.torproject.org/dist/vidalia/%{name}-%{version}.tar.gz
Source1:        http://www.torproject.org/dist/vidalia/%{name}-%{version}.tar.gz.asc
Patch0:         vidalia-0.2.12-fix-paths.patch
Patch1:		vidalia-0.3.1-gcc-4.7.patch
Requires:       tor
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  openssl-devel
BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist

%description
Vidalia is a cross-platform controller GUI for Tor, built using the Qt 
framework. Vidalia runs on any platform supported by Qt 4.1, including 
Windows, Mac OS X, and Linux or other Unix variants using the X11 
window system.

Vidalia allows you to start and stop Tor, view the status of Tor at a 
glance, and monitor Tor's bandwidth usage. Vidalia also makes it easy 
to contribute to the Tor network by helping you setup a Tor server, if 
you wish.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%cmake_qt4
%make
# make the docs
make doxygen

%install
%makeinstall_std -C build

install -D -p -m 644 doc/vidalia.1 %{buildroot}%{_mandir}/man1/vidalia.1

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-Other" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG CREDITS HACKING LICENSE README README.marble
%doc build/doc/html
%{_bindir}/vidalia
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png 
%{_mandir}/man1/%{name}.1*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0:0.3.1-3.mga3
+ Revision: 385408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 0:0.3.1-2.mga3
+ Revision: 333733
- fix build with gcc 4.7

* Tue May 29 2012 kharec <kharec> 0:0.3.1-1.mga3
+ Revision: 249163
- new version 0.3.1

* Wed Feb 22 2012 kharec <kharec> 0:0.2.17-1.mga2
+ Revision: 211769
- new version 0.2.17

* Sat Nov 26 2011 kharec <kharec> 0:0.2.15-1.mga2
+ Revision: 172375
- update to 0.2.15
- update signature format

* Wed Jun 15 2011 kharec <kharec> 0:0.2.12-1.mga2
+ Revision: 106945
- new version
- rediff a part of p0

* Wed Apr 13 2011 kharec <kharec> 0:0.2.10-1.mga1
+ Revision: 84457
- imported package vidalia

